Package com.google.android.exoplayer2.util

## Class DebugTextViewHelper

- java.lang.Object
- - com.google.android.exoplayer2.util.DebugTextViewHelper

-     public class DebugTextViewHelper
      extends Object

  A helper class for periodically updating a `TextView` with debug information obtained from an `ExoPlayer`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DebugTextViewHelper​(ExoPlayer player, TextView textView)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getAudioString()` | Returns a string containing audio debugging information.
    `protected String` | `getDebugString()` | Returns the debugging information string to be shown by the target `TextView`.
    `protected String` | `getPlayerStateString()` | Returns a string containing player state debugging information.
    `protected String` | `getVideoString()` | Returns a string containing video debugging information.
    `void` | `start()` | Starts periodic updates of the `TextView`.
    `void` | `stop()` | Stops periodic updates of the `TextView`.
    `protected void` | `updateAndPost()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugTextViewHelper

          public DebugTextViewHelper​(ExoPlayer player,
                                     TextView textView)

      Parameters:
        `player` - The `ExoPlayer` from which debug information should be obtained. Only players which are accessed on the main thread are supported (`player.getApplicationLooper() == Looper.getMainLooper()`).
        `textView` - The `TextView` that should be updated to display the information.

  - ### Method Detail

    - #### start

          public final void start()

      Starts periodic updates of the `TextView`. Must be called from the application's main thread.

    - #### stop

          public final void stop()

      Stops periodic updates of the `TextView`. Must be called from the application's main thread.

    - #### updateAndPost

          protected final void updateAndPost()

    - #### getDebugString

          protected String getDebugString()

      Returns the debugging information string to be shown by the target `TextView`.

    - #### getPlayerStateString

          protected String getPlayerStateString()

      Returns a string containing player state debugging information.

    - #### getVideoString

          protected String getVideoString()

      Returns a string containing video debugging information.

    - #### getAudioString

          protected String getAudioString()

      Returns a string containing audio debugging information.